Loading...
Searching...
No Matches
gridfire::engine::EnergyDerivatives Struct Reference

Structure holding derivatives of energy generation rate with respect to T and rho. More...

`#include <engine_abstract.h>`

## Public Attributes

double | dEps_dT = 0.0
| Partial derivative of energy generation rate with respect to temperature.
double | dEps_dRho = 0.0
| Partial derivative of energy generation rate with respect to density.

## Friends

std::ostream & | operator<< (std::ostream &os, const EnergyDerivatives &ed)

## Detailed Description

Structure holding derivatives of energy generation rate with respect to T and rho.

This struct encapsulates the partial derivatives of the specific nuclear energy generation rate with respect to temperature and density.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const EnergyDerivatives & | ed
| ) |  |

friend

## Member Data Documentation

## dEps_dRho

double gridfire::engine::EnergyDerivatives::dEps_dRho = 0.0

Partial derivative of energy generation rate with respect to density.

## dEps_dT

double gridfire::engine::EnergyDerivatives::dEps_dT = 0.0

Partial derivative of energy generation rate with respect to temperature.

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/engine_abstract.h